/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.entity;

import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;

/**
 * 课程试卷关联表
 */
@Entity
@Table(name = "ec_prt_course_paper", indexes = {
        @Index(name = "IDX_PRT_COURSE_PAPER_001001", columnList = "orgId"),
        @Index(name = "IDX_PRT_COURSE_PAPER_001002", columnList = "examId"),
        @Index(name = "IDX_PRT_COURSE_PAPER_001003", columnList = "courseCode")})
public class CoursePaper extends IdEntity {
    /**
     * 机构ID
     */
    private Long orgId;
    /**
     * 考试ID
     */
    private Long examId;
    /**
     * 试卷id
     */
    private String paperId;
    /**
     * 课程code
     */
    private String courseCode;
    /**
     * 课程名称
     */
    private String courseName;
    /**
     * 试卷名称
     */
    private String paperName;
    /**
     * 试卷P数
     */
    private Integer pNum;
    /**
     * 试卷文件URL
     */
    private String paperFileUrl;
    /**
     * 答案文件URL
     */
    private String answerFileUrl;

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getPaperId() {
        return paperId;
    }

    public void setPaperId(String paperId) {
        this.paperId = paperId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public Integer getpNum() {
        return pNum;
    }

    public void setpNum(Integer pNum) {
        this.pNum = pNum;
    }

    public String getPaperFileUrl() {
        return paperFileUrl;
    }

    public void setPaperFileUrl(String paperFileUrl) {
        this.paperFileUrl = paperFileUrl;
    }

    public String getAnswerFileUrl() {
        return answerFileUrl;
    }

    public void setAnswerFileUrl(String answerFileUrl) {
        this.answerFileUrl = answerFileUrl;
    }

}