/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.entity;

import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;

/**
 * 课程统计
 */
@Entity
@Table(name = "ec_prt_course_statistics", indexes = {
        @Index(name = "IDX_PRT_COURSE_STATISTICS_001001", columnList = "orgId"),
        @Index(name = "IDX_PRT_COURSE_STATISTICS_001002", columnList = "examId"),
        @Index(name = "IDX_PRT_COURSE_STATISTICS_001003", columnList = "coursePaperId")})
public class CourseStatistics extends IdEntity {
    /**
     * 机构ID
     */
    private Long orgId;
    /**
     * 考试ID
     */
    private Long examId;
    /**
     * 绑定试卷ID :printing_course_paper 的ID
     */
    private Long coursePaperId;
    /**
     * 课程code
     */
    private String courseCode;
    /**
     * 课程名称
     */
    private String courseName;
    /**
     * 试卷类型
     */
    private String paperType;

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getCoursePaperId() {
        return coursePaperId;
    }

    public void setCoursePaperId(Long coursePaperId) {
        this.coursePaperId = coursePaperId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

}