/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.entity;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 客观题数据--用于Excel导出
 */
@Entity
@Table(name = "ec_prt_objective_question_structure")
public class ObjectiveQuestionStructure extends IdEntity {
    /**
     * 考试ID
     */
    private Long examId;
    /**
     * 试卷id
     */
    private String paperId;
    /**
     * 课程代码
     */
    //@ExcelProperty(name = "课程代码", index = 0)
    private String courseNo;
    /**
     * 课程名称
     */
    //@ExcelProperty(name = "课程名称", index = 1)
    private String courseName;
    /**
     * 试卷名称
     */
    //@ExcelProperty(name = "试卷名称", index = 2)
    private String paperName;
    /**
     * 试卷类型
     */
    //@ExcelProperty(name = "试卷类型", index = 3)
    private String paperType;
    /**
     * 大题号
     */
    //@ExcelProperty(name = "大题号", index = 4)
    private Integer bigQuestionNo;
    /**
     * 小题号
     */
    //@ExcelProperty(name = "小题号", index = 5)
    private Integer smallQuestionNo;
    /**
     * 题目类型
     * See QuesStructType.java
     */
    //@ExcelProperty(name = "题目类型", index = 6)
    private String questionType;
    /**
     * 标准答案
     */
    //@ExcelProperty(name = "标准答案", index = 7)
    private String answer;
    /**
     * 小题分数
     */
    //@ExcelProperty(name = "小题分数", index = 8)
    private Double smallQuestionScore;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getPaperId() {
        return paperId;
    }

    public void setPaperId(String paperId) {
        this.paperId = paperId;
    }

    public String getCourseNo() {
        return courseNo;
    }

    public void setCourseNo(String courseNo) {
        this.courseNo = courseNo;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public Integer getBigQuestionNo() {
        return bigQuestionNo;
    }

    public void setBigQuestionNo(Integer bigQuestionNo) {
        this.bigQuestionNo = bigQuestionNo;
    }

    public Integer getSmallQuestionNo() {
        return smallQuestionNo;
    }

    public void setSmallQuestionNo(Integer smallQuestionNo) {
        this.smallQuestionNo = smallQuestionNo;
    }

    public String getQuestionType() {
        return questionType;
    }

    public void setQuestionType(String questionType) {
        this.questionType = questionType;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public Double getSmallQuestionScore() {
        return smallQuestionScore;
    }

    public void setSmallQuestionScore(Double smallQuestionScore) {
        this.smallQuestionScore = smallQuestionScore;
    }

}