/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.entity;

import cn.com.qmth.examcloud.core.print.enums.BackupGroupType;

import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.Table;

/**
 * 印刷项目备份设置
 */
@Entity
@Table(name = "ec_prt_project_backup_setting")
public class ProjectBackupSetting extends IdEntity {
    /**
     * 项目ID
     */
    private Long projectId;

    /* 每袋冗余设置 */
    /**
     * 每袋备份比例
     */
    private Double perPackageRatio;
    /**
     * 每袋备份最大值
     */
    private Double perPackageMax;
    /**
     * 每袋备份最小值
     */
    private Double perPackageMin;

    /* 单独备份袋 */
    /**
     * 归集类型
     */
    @Enumerated(EnumType.STRING)
    private BackupGroupType groupType;
    /**
     * 单独备份比例
     */
    private Double independentRatio;
    /**
     * 单独备份最大值
     */
    private Double independentMax;
    /**
     * 单独备份最小值
     */
    private Double independentMin;

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public Double getPerPackageRatio() {
        return perPackageRatio;
    }

    public void setPerPackageRatio(Double perPackageRatio) {
        this.perPackageRatio = perPackageRatio;
    }

    public Double getPerPackageMax() {
        return perPackageMax;
    }

    public void setPerPackageMax(Double perPackageMax) {
        this.perPackageMax = perPackageMax;
    }

    public Double getPerPackageMin() {
        return perPackageMin;
    }

    public void setPerPackageMin(Double perPackageMin) {
        this.perPackageMin = perPackageMin;
    }

    public BackupGroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(BackupGroupType groupType) {
        this.groupType = groupType;
    }

    public Double getIndependentRatio() {
        return independentRatio;
    }

    public void setIndependentRatio(Double independentRatio) {
        this.independentRatio = independentRatio;
    }

    public Double getIndependentMax() {
        return independentMax;
    }

    public void setIndependentMax(Double independentMax) {
        this.independentMax = independentMax;
    }

    public Double getIndependentMin() {
        return independentMin;
    }

    public void setIndependentMin(Double independentMin) {
        this.independentMin = independentMin;
    }

}